<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.meludi");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../meludi-2.js,~persinfo.js" 
	styles="path.css,~../css/meludi-2.css" 
/>
<base:body>

	<p:path><p:pathelement
		title="" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Personal information registration" 
		/></p:path>

	<div class="content">
	<form name="meludi" id="wizard" class="wizard">
	
	<!-- 1. Case + Personal number -->
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title" id="step-1-title">Enter Case Name and Personal Number</div>
		<div class="step-content">
		
			<table class="step-form">
			<tr>
				<td class="prompt">Case name</td>
				<td class="input">
					<input type="text" name="caseName" id="caseName"
						class="required auto-init" data-auto-init="focus" data-next-focus="personalNumber"
						style="width: 12em;" maxlength="12">
				</td>
				<td class="status" id="caseName.status"></td>
				<td class="help">
					<span id="caseName.message" class="message"></span>
					The case (barcode) associated with this patient.
				</td>
			</tr>
			<tr>
				<td class="prompt">Personal number</td>
				<td class="input">
					<input type="text" name="personalNumber" id="personalNumber"
						class="required"
						style="width: 12em;" maxlength="12">
				</td>
				<td class="status" id="personalNumber.status"></td>
				<td class="help">
					<span id="personalNumber.message" class="message"></span>
					([YY]YYMMDDZZZZ)
				</td>
			</tr>
			</table>
		</div>
	</div>

	<!-- 2. New patient registration -->
	<div class="step" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title" id="step-2-title">New patient: Enter all names</div>
		<div class="step-content">
			
			<table class="step-form">
			<tr>
				<td class="prompt">Patient code</td>
				<td class="input"><input type="text" name="patientCode" id="patientCode"
					class="auto-init" data-auto-init="focus-on-enter" data-next-focus="familyName"
					style="width: 12em;" maxlength="12"></td>
				<td class="status" id="patientCode.status"></td>
				<td class="help">
					<span id="patientCode.message" class="message"></span>
				</td>
			</tr>
			<tr>
				<td class="prompt">Family name</td>
				<td class="input"><input type="text" name="familyName" id="familyName"
					class="auto-init" data-auto-init="focus-on-enter" data-next-focus="allFirstNames"
					style="width: 20em;" maxlength="255"></td>
				<td class="status" id="familyName.status"></td>
				<td class="help">
					<span id="familyName.message" class="message"></span>
					Keep hyphens, keep åäö, replace all special accented letters [e.g. éèü etc] with standard alphabet character.
				</td>
			</tr>
			<tr>
				<td class="prompt">All first names</td>
				<td class="input"><input type="text" name="allFirstNames" id="allFirstNames"
					style="width: 20em;" maxlength="255"></td>
				<td class="status" id="allFirstNames.status"></td>
				<td class="help">
					<span id="allFirstNames.message" class="message"></span>
					Type all names, see FamilyName comment on valid characters.
				</td>
			</tr>
			<tr>
				<td class="prompt">Gender</td>
				<td class="input" id="gender"></td>
				<td class="status" id="gender.status" rowspan="2"></td>
				<td class="help" rowspan="2">
					<span id="gender.message" class="message"></span>
				</td>
			</tr>
			<tr>
				<td class="prompt">Date of birth</td>
				<td class="input" id="dateOfBirth"></td>
			</tr>
			</table>
			
		</div>
	</div>


	<!-- 3. Case registration -->
	<div class="step" id="step-3">
		<div class="step-no">3</div>
		<div class="step-title" id="step-3-title">Enter Case information</div>
		<div class="step-content">

			<table class="step-form">
			<tr id="plNumberSection">
				<td class="prompt">PL-number</td>
				<td class="input">
					<input type="text" name="plNumber" id="plNumber"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="samplingDate"
						style="width: 12em;">
				</td>
				<td class="status" id="plNumber.status"></td>
				<td class="help">
					<span id="plNumber.message" class="message"></span>
					<div id="plNumberMessageText">
					The PL-number associated with this case.
					</div>
				</td>
			</tr>
			<tr id="padSection">
				<td class="prompt">PAD/CL</td>
				<td class="input">
					<input type="text" name="pad" id="pad"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="samplingDate"
						style="width: 12em;">
				</td>
				<td class="status" id="pad.status"></td>
				<td class="help">
					<span id="pad.message" class="message"></span>
					<div id="padMessageText">
					The PAD (Patho-Anatomical Diagnosis) or CL (cytology) number for this case.
					</div>
				</td>
			</tr>
			<tr id="nofTubesSection">
				<td class="prompt">Number of tubes</td>
				<td class="input">
					<input type="text" name="nofTubes" id="nofTubes"
						class="required auto-init" data-auto-init="focus-on-enter" data-next-focus="arrivalDate"
					  	style="width: 12em;" maxlength="4" value="1">
				</td>
				<td class="status" id="nofTubes.status"></td>
				<td class="help">
					<span id="nofTubes.message" class="message"></span>
					Number of tubes in this case.
				</td>
			</tr>
			<tr id="arrivalDateSection" valign="top">
				<td class="prompt">Arrival date</td>
				<td class="input">
					<input type="text" name="arrivalDate" id="arrivalDate" 
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="samplingDate"
						data-disallow-future-date="1"
						style="width: 12em;" maxlength="10">
						<base:icon 
							id="arrivalDateCalendar"
							subclass="auto-init"
							data-auto-init="calendar"
							data-textarea-id="arrivalDate"
							data-date-format="yyyyMMdd"
							data-title="Arrival date"
							image="calendar.png" 
							tooltip="Select a date from a calendar" 
							tabindex="-1"
						/>
				</td>
				<td class="status" id="arrivalDate.status"></td>
				<td class="help">
					<span id="arrivalDate.message" class="message"></span>
					Date when the specimen tubes arrived (YYYYMMDD or MMDD).
				</td>
			</tr>
			<tr id="specimenTubesSection">
				<td class="prompt" id="specimenTubesTitle">Specimen tubes</td>
				<td class="input" id="specimenTubes"><i>not found</i></td>
				<td class="status" id="specimenTubes.status"></td>
				<td class="help">
					<span id="specimenTubes.message" class="message"></span>
					<div id="specimenTubesMessageText">
					The specimen tube(s) associated with this case.
					</div>
				</td>
			</tr>
			<tr id="samplingDateSection">
				<td class="prompt">Sampling date</td>
				<td class="input">
					<input type="text" name="samplingDate" id="samplingDate"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="projectFocus"
						style="width: 12em;" maxlength="10">
						<base:icon 
							id="samplingDateCalendar"
							subclass="auto-init"
							data-auto-init="calendar"
							data-textarea-id="samplingDate"
							data-date-format="yyyyMMdd"
							data-title="Sampling date"
							image="calendar.png" 
							tooltip="Select a date from a calendar" 
							tabindex="-1"
						/>
				</td>
				<td class="status" id="samplingDate.status"></td>
				<td class="help">
					<span id="samplingDate.message" class="message"></span>
					Date of surgical removal (YYYYMMDD or MMDD).
				</td>
			</tr>
			<tr id="projectFocusSection">
				<td class="prompt">Project focus</td>
				<td class="input">
					<select name="projectFocus" id="projectFocus"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="mutationAnalysis">
						<option selected value="" >unknown
						<option value="melanoma">Melanoma
						<option value="lungcancer">Lung cancer
						<option value="coloncancer">Colon cancer
						<option value="GIST">GIST (Gastrointestinal stromal tumour)
					</select>
				</td>
				<td class="status" id="projectFocus.status"></td>
				<td class="help">
					<span id="projectFocus.message" class="message"></span>
					Project focus for the case (cancer type).
				</td>
			</tr>
			<tr id="mutationAnalysisSection">
				<td class="prompt">Mutation analysis<br><br>
					<base:button id="selectAllMutationAnalysis" style="font-weight: normal;" title="Select all" image="<%=home+"/images/selected.gif"%>" /></td>
				</td>
				<td class="input">
					<label id="mutationAnalysisKras"><input type="checkbox" name="mutationAnalysisKras" id="mutationAnalysisKras">KRAS exon 2-4</label><br>
					<label id="mutationAnalysisNras"><input type="checkbox" name="mutationAnalysisNras" id="mutationAnalysisNras">NRAS exon 2-4</label><br>
					<label id="mutationAnalysisBraf"><input type="checkbox" name="mutationAnalysisBraf" id="mutationAnalysisBraf">BRAF codon 600</label><br>
					<label id="mutationAnalysisEgfr"><input type="checkbox" name="mutationAnalysisEgfr" id="mutationAnalysisEgfr">EGFR exon 18-21</label><br>
					<label id="mutationAnalysisAlkEml4"><input type="checkbox" name="mutationAnalysisAlkEml4" id="mutationAnalysisAlkEml4">ALK/EML4 translocation</label><br>
					<label id="mutationAnalysisPdgfra"><input type="checkbox" name="mutationAnalysisPdgfra" id="mutationAnalysisPdgfra">PDGFRA exon 11, 13, 17</label><br>
					<label id="mutationAnalysisKit"><input type="checkbox" name="mutationAnalysisKit" id="mutationAnalysisKit">KIT exon 9, 11, 13, 17, 18</label><br>
					<label id="mutationAnalysisOther"><input type="checkbox" name="mutationAnalysisOther" id="mutationAnalysisOther">Other analysis</label><br>
				</td>
				<td class="status" id="mutationAnalysis.status"></td>
				<td class="help">
					<span id="mutationAnalysis.message" class="message"></span>
					Default selections set depending on project focus (cancer type). For negative KRAS analysis and colorectal cancer, NRAS analysis should normally also be performed.
				</td>
			</tr>
			<tr id="siteSection">
				<td class="prompt">Site</td>
				<td class="input">
					<select name="site" id="site"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="tubeContentType">
						<option selected value="" >unknown
						<option value="Helsingborg">Helsingborg
						<option value="Karlskrona">Karlskrona
						<option value="Kristianstad">Kristianstad
						<option value="Lund">Lund
						<option value="Malmo" >Malmö
						<option value="Trelleborg">Trelleborg
						<option value="Vaxjo" >Växjö
						<option value="Linkoping" >Linköping
					</select>
				</td>
				<td class="status" id="site.status"></td>
				<td class="help">
					<span id="site.message" class="message"></span>
					Hospital site
				</td>
			</tr>
			<tr id="tubeContentTypeSection">
				<td class="prompt">Tube content type</td>
				<td class="input">
					<select name="tubeContentType" id="tubeContentType"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="specimenType">
						<option selected value="Specimen" >Specimen
						<option value="DNA">DNA
						<option value="RNA">RNA
						<option value="DNA_RNA">DNA + RNA
					</select>
				</td>
				<td class="status" id="tubeContentType.status"></td>
				<td class="help">
					<span id="tubeContentType.message" class="message"></span>
					Tube content type. (Selecting other option than "Specimen" will set number of tubes.)
				</td>
			</tr>
			<tr id="specimenTypeSection">
				<td class="prompt">Specimen type</td>
				<td class="input">
					<select name="specimenType" id="specimenType"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="viableTumourCellsPercent">
						<option selected value="" >unknown
						<option value="Primary">Primary tumour
						<option value="MetastasisDistant">Metastasis
					</select>
				</td>
				<td class="status" id="specimenType.status"></td>
				<td class="help">
					<span id="specimenType.message" class="message"></span>
					Type of specimen (Analyzed malignancy).
				</td>
			</tr>
			<tr id="viableTumourCellsPercentSection">
				<td class="prompt">Viable tumour cells percentage (&#37;)</td>
				<td class="input">
					<input type="text" name="viableTumourCellsPercent" id="viableTumourCellsPercent"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="otherPathNote"
					  	style="width: 12em;" maxlength="4" value="">
				</td>
				<td class="status" id="viableTumourCellsPercent.status"></td>
				<td class="help">
					<span id="viableTumourCellsPercent.message" class="message"></span>
					Estimated part of viable tumour cells, in percentage of the total number of cells.
				</td>
			</tr>
			<tr id="otherPathNoteSection" class="align-top">
				<td class="prompt">Other path note</td>
				<td class="input">
					<textarea name="otherPathNote" id="otherPathNote" rows="3"></textarea>
				</td>
				<td class="status" id="otherPathNote.status"></td>
				<td class="help">
					<span id="otherPathNote.message" class="message"></span>
					In this field, enter ALL text noted on the referral form by the pathologist.
				</td>
			</tr>
			</table>
		</div>
	</div>
		
	<div class="step" id="step-4">
		<div class="step-no">4</div>
		<div class="step-title" id="step-4-title">Enter tube information</div>
		<div class="step-content">
		
			<table id="specimen-tubes" class="step-form">
			</table>
		</div>
	</div>

	<div id="wizard-status"></div>

	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goupdate" title="Update" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
		
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>